Subject: Re: BTFIDS: FAILED unresolved symbol udp6_sock

From: Jiri Olsa <[email-masked]>
Date: Wed, 30 Dec 2020 10:03:33 +0100

On Tue, Dec 29, 2020 at 11:28:35PM +0000, Qais Yousef wrote:
> Hi Jiri
> 
> On 12/29/20 18:34, Jiri Olsa wrote:
> > On Tue, Dec 29, 2020 at 03:13:52PM +0000, Qais Yousef wrote:
> > > Hi
> > > 
> > > When I enable CONFIG_DEBUG_INFO_BTF I get the following error in the BTFIDS
> > > stage
> > > 
> > > 	FAILED unresolved symbol udp6_sock
> > > 
> > > I cross compile for arm64. My .config is attached.
> > > 
> > > I managed to reproduce the problem on v5.9 and v5.10. Plus 5.11-rc1.
> > > 
> > > Have you seen this before? I couldn't find a specific report about this
> > > problem.
> > > 
> > > Let me know if you need more info.
> > 
> > hi,
> > this looks like symptom of the gcc DWARF bug we were
> > dealing with recently:
> > 
> >   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=97060
> >   https://lore.kernel.org/lkml/CAE1WUT75gu9G62Q9uAALGN6vLX=[email-masked]/#r
> > 
> > what pahole/gcc version are you using?
> 
> I'm on gcc 9.3.0
> 
> 	aarch64-linux-gnu-gcc (Ubuntu 9.3.0-17ubuntu1~20.04) 9.3.0
> 
> I was on pahole v1.17. I moved to v1.19 but I still see the same problem.

I can reproduce with your .config, but make 'defconfig' works,
so I guess it's some config option issue, I'll check later today

jirka